Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class Contact

    java.lang.Object
      com.compoze.exchange.AbstractItem
          com.compoze.exchange.Message
              com.compoze.exchange.Contact

All Implemented Interfaces:
  java.io.Serializable

public class Contact
extends Message
implements java.io.Serializable

This class is an Exchange contact. Contact instances are obtained from the `Contacts` class. Methods that access properites on the class require that the properties were loaded beforehand, when the message was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.MESSAGE_ID` and `PropertyKey.MESSAGE_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a contact.

Fields inherited from class com.compoze.exchange.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getAccount()` Gets the account for the contact.
`java.lang.String` | `getAddressType()` Gets the address type of the contact.
`java.lang.String` | `getAssistant()` Gets the assistant for the contact.
`java.lang.String` | `getAssistantTelephoneNumber()` Gets the assistant telephone number for the contact.
`java.lang.String` | `getBillingInfo()` Gets the billing info for the contact.
`java.util.Date` | `getBirthday()` Gets the birthday of the contact.
`java.lang.String` | `getBusiness2TelephoneNumber()` Gets the business2 telephone number of the contact.
`java.lang.String` | `getBusinessAddressCity()` Gets the business address city of the contact.
`java.lang.String` | `getBusinessAddressCountry()` Gets the business address country of the contact.
`java.lang.String` | `getBusinessAddressPostalCode()` Gets the business address postal code of the contact.
`java.lang.String` | `getBusinessAddressPostOfficeBox()` Gets the business address post office box of the contact.
`java.lang.String` | `getBusinessAddressStateOrProvince()` Gets the business address state or province of the contact.
`java.lang.String` | `getBusinessAddressStreet()` Gets the business address street of the contact.
`java.lang.String` | `getBusinessFaxNumber()` Gets the business fax number for the contact.
`java.lang.String` | `getBusinessHomePage()` Gets the business home page.
`java.lang.String` | `getBusinessTelephoneNumber()` Gets the business telephone number for the contact.
`java.lang.String` | `getCallbackTelephoneNumber()` Gets the callback telephone number for the contact.
`java.lang.String` | `getCarTelephoneNumber()` Gets the car telephone number of the contact.
`java.lang.String[]` | `getChildrenNames()` Gets the children names of the contact.
`java.lang.String` | `getCompanyMainPhoneNumber()` Gets the company main phone number for the contact.
`java.lang.String` | `getCompanyName()` Gets the company name for the contact.
`java.lang.String` | `getComputerNetworkName()` Gets the computer network name for the contact.
`java.lang.String` | `getCountry()` Gets the country for the contact.
`java.lang.String` | `getDepartmentName()` Gets the department name for the contact.
`java.lang.String` | `getDisplayName()` Gets the display name of the contact.
`java.lang.String` | `getDisplayNamePrefix()` Gets the display name prefix of the contact.
`java.lang.String` | `getEmail1Address()` Gets the email1 address for the contact.
`java.lang.String` | `getEmail1AddressType()` Gets the email1 address type for the contact.
`java.lang.String` | `getEmail1DisplayName()` Gets the email1 display name for the contact.
`java.lang.String` | `getEmail2Address()` Gets the email2 address for the contact.
`java.lang.String` | `getEmail2AddressType()` Gets the email2 address type for the contact.
`java.lang.String` | `getEmail2DisplayName()` Gets the email2 display name for the contact.
`java.lang.String` | `getEmail3Address()` Gets the email3 address for the contact.
`java.lang.String` | `getEmail3AddressType()` Gets the email3 address type for the contact.
`java.lang.String` | `getEmail3DisplayName()` Gets the email3 display name for the contact.
`java.lang.String` | `getEmailAddress()` Gets the email address of the contact.
`java.lang.String` | `getFileAs()` Gets the file as of the contact.
`java.lang.String` | `getFtpSite()` Gets the Ftp site of the contact.
`Gender` | `getGender()` Gets the gender of the contact.
`java.lang.String` | `getGeneration()` Gets the generation of the contact.
`java.lang.String` | `getGivenName()` Gets the given name of the contact.
`java.lang.String` | `getHobbies()` Gets the hobbies for the contact.
`java.lang.String` | `getHome2TelephoneNumber()` Gets the home2 telephone number of the contact.
`java.lang.String` | `getHomeAddress()` Gets the home address of the contact.
`java.lang.String` | `getHomeAddressCity()` Gets the home address city of the contact.
`java.lang.String` | `getHomeAddressCountry()` Gets the home address country of the contact.
`java.lang.String` | `getHomeAddressPostalCode()` Gets the home address postal code of the contact.
`java.lang.String` | `getHomeAddressPostOfficeBox()` Gets the home address post office box of the contact.
`java.lang.String` | `getHomeAddressStateOrProvince()` Gets the home address state or province of the contact.
`java.lang.String` | `getHomeAddressStreet()` Gets the home address street of the contact.
`java.lang.String` | `getHomeFaxNumber()` Gets the home fax number of the contact.
`java.lang.String` | `getHomeTelephoneNumber()` Gets the home telephone number of the contact.
`java.lang.String` | `getIMAddress()` Gets the IM address of the contact.
`java.lang.String` | `getInitials()` Gets the initials of the contact.
`java.lang.String` | `getInternetFreeBusyAddress()` Gets the Internet free/busy address for the contact.
`java.lang.String` | `getISDNNumber()` Gets the ISDN number of the contact.
`java.lang.String` | `getLanguage()` Gets the language for the contact.
`java.lang.String` | `getLocality()` Gets the locality of the contact.
`java.lang.String` | `getLocation()` Gets the location for the contact.
`java.lang.String` | `getManagerName()` Gets the manager name for the contact.
`java.lang.String` | `getMiddleName()` Gets the middle name of the contact.
`java.lang.String` | `getMileage()` Gets the mileage for the contact.
`java.lang.String` | `getMobileTelephoneNumber()` Gets the mobile telephone number of the contact.
`java.lang.String` | `getNickname()` Gets the nickname of the contact.
`java.lang.String` | `getOfficeLocation()` Gets the office location for the contact.
`java.lang.String` | `getOtherAddressCity()` Gets the other address city of the contact.
`java.lang.String` | `getOtherAddressCountry()` Gets the other address country of the contact.
`java.lang.String` | `getOtherAddressPostalCode()` Gets the other address postal code of the contact.
`java.lang.String` | `getOtherAddressPostOfficeBox()` Gets the other address post office box of the contact.
`java.lang.String` | `getOtherAddressStateOrProvince()` Gets the other address state or province of the contact.
`java.lang.String` | `getOtherAddressStreet()` Gets the other address street of the contact.
`java.lang.String` | `getOtherTelephoneNumber()` Gets the other telelphone number for the contact.
`java.lang.String` | `getPagerTelephoneNumber()` Gets the pager telephone number of the contact.
`java.lang.String` | `getPersonalHomePage()` Gets the personal home page.
`java.lang.String` | `getPostalCode()` Gets the postal code of the contact.
`java.lang.String` | `getPrimaryFaxNumber()` Gets the primary fax number of the contact.
`java.lang.String` | `getPrimaryTelephoneNumber()` Gets the primary telephone number of the contact.
`java.lang.String` | `getProfession()` Gets the profession of the contact.
`java.lang.String` | `getRadioTelephoneNumber()` Gets the radio telephone number of the contact.
`java.lang.String` | `getReferredByName()` Gets the referred by name for the contact.
`SelectedMailingAddress` | `getSelectedMailingAddress()` Gets the selected mailing address for the contact.
`java.lang.String` | `getSpouseName()` Gets the spouse name for the contact.
`java.lang.String` | `getStateOrProvince()` Gets the state or province of the contact.
`java.lang.String` | `getStreetAddress()` Gets the street address of the contact.
`java.lang.String` | `getSurname()` Gets the surname of the contact.
`java.lang.String` | `getTelexNumber()` Gets the telex number of the contact.
`java.lang.String` | `getTitle()` Gets the title of the contact.
`java.lang.String` | `getTTYTDDPhoneNumber()` Gets the TTYTDD phone number of the contact.
`java.lang.String` | `getUserField1()` Gets the user field1 for the contact.
`java.lang.String` | `getUserField2()` Gets the user field2 for the contact.
`java.lang.String` | `getUserField3()` Gets the user field3 for the contact.
`java.lang.String` | `getUserField4()` Gets the user field4 for the contact.
`java.util.Date` | `getWeddingAnniversary()` Gets the wedding anniversary of the contact.
`void` | `setAccount(java.lang.String sAccount)` Sets the account for the contact.
`void` | `setAddressType(java.lang.String sAddressType)` Sets the address type of the contact.
`void` | `setAssistant(java.lang.String sAssistant)` Sets the assistant for the contact.
`void` | `setAssistantTelephoneNumber(java.lang.String sAssistantTelephoneNumber)` Sets the assistant telephone number for the contact.
`void` | `setBillingInfo(java.lang.String sBillingInfo)` Sets the billing info for the contact.
`void` | `setBirthday(java.util.Date birthday)` Sets the birthday of the contact.
`void` | `setBusiness2TelephoneNumber(java.lang.String sBusiness2TelephoneNumber)` Sets the business2 telephone number of the contact.
`void` | `setBusinessAddressCity(java.lang.String sBusinessAddressCity)` Sets the business address city of the contact.
`void` | `setBusinessAddressCountry(java.lang.String sBusinessAddressCountry)` Sets the business address country of the contact.
`void` | `setBusinessAddressPostalCode(java.lang.String sBusinessAddressPostalCode)` Sets the business address postal code of the contact.
`void` | `setBusinessAddressPostOfficeBox(java.lang.String sBusinessAddressPostOfficeBox)` Sets the business address post office box of the contact.
`void` | `setBusinessAddressStateOrProvince(java.lang.String sBusinessAddressStateOrProvince)` Sets the business address state or province of the contact.
`void` | `setBusinessAddressStreet(java.lang.String sBusinessAddressStreet)` Sets the business address street of the contact.
`void` | `setBusinessFaxNumber(java.lang.String sBusinessFaxNumber)` Gets the business fax number for the contact.
`void` | `setBusinessHomePage(java.lang.String sBusinessHomePage)` Sets the business home page.
`void` | `setBusinessTelephoneNumber(java.lang.String sBusinessTelephoneNumber)` Sets the business telephone number for the contact.
`void` | `setCallbackTelephoneNumber(java.lang.String sCallbackTelephoneNumber)` Sets the callback telephone number for the contact.
`void` | `setCarTelephoneNumber(java.lang.String sCarTelephoneNumber)` Sets the car telephone number of the contact.
`void` | `setChildrenNames(java.lang.String[] names)` Sets the children names of the contact.
`void` | `setCompanyMainPhoneNumber(java.lang.String sCompanyMainPhoneNumber)` Sets the company main phone number for the contact.
`void` | `setCompanyName(java.lang.String sCompanyName)` Sets the company name for the contact.
`void` | `setComputerNetworkName(java.lang.String sComputerNetworkName)` Sets the computer network name for the contact.
`void` | `setDepartmentName(java.lang.String sDepartmentName)` Sets the department name for the contact.
`void` | `setDisplayName(java.lang.String sDisplayName)` Sets the display name of the contact.
`void` | `setDisplayNamePrefix(java.lang.String sDisplayNamePrefix)` Sets the display name prefix of the contact.
`void` | `setEmail1Address(java.lang.String sEmail1Address)` Sets the email1 address for the contact.
`void` | `setEmail1AddressType(java.lang.String sEmail1AddressType)` Sets the email1 address type for the contact.
`void` | `setEmail1DisplayName(java.lang.String sEmail1DisplayName)` Sets the email1 display name for the contact.
`void` | `setEmail2Address(java.lang.String sEmail2Address)` Sets the email2 address for the contact.
`void` | `setEmail2AddressType(java.lang.String sEmail2AddressType)` Sets the email2 address type for the contact.
`void` | `setEmail2DisplayName(java.lang.String sEmail2DisplayName)` Sets the email2 display name for the contact.
`void` | `setEmail3Address(java.lang.String sEmail3Address)` Sets the email3 address for the contact.
`void` | `setEmail3AddressType(java.lang.String sEmail3AddressType)` Sets the email3 address type for the contact.
`void` | `setEmail3DisplayName(java.lang.String sEmail3DisplayName)` Sets the email3 display name for the contact.
`void` | `setEmailAddress(java.lang.String sEmailAddress)` Sets the email address of the contact.
`void` | `setFileAs(java.lang.String sFileAs)` Sets the file as of the contact.
`void` | `setFtpSite(java.lang.String sFtpSite)` Sets the Ftp site of the contact.
`void` | `setGender(Gender gender)` Sets the gender of the contact.
`void` | `setGeneration(java.lang.String sGeneration)` Sets the generation of the contact.
`void` | `setGivenName(java.lang.String sGivenName)` Sets the given name of the contact.
`void` | `setHobbies(java.lang.String sHobbies)` Gets the hobbies for the contact.
`void` | `setHome2TelephoneNumber(java.lang.String sHome2TelephoneNumber)` Sets the home2 telephone number of the contact.
`void` | `setHomeAddress(java.lang.String sHomeAddress)` Sets the home address of the contact.
`void` | `setHomeAddressCity(java.lang.String sHomeAddressCity)` Sets the home address city of the contact.
`void` | `setHomeAddressCountry(java.lang.String sHomeAddressCountry)` Sets the home address country of the contact.
`void` | `setHomeAddressPostalCode(java.lang.String sHomeAddressPostalCode)` Sets the home address postal code of the contact.
`void` | `setHomeAddressPostOfficeBox(java.lang.String sHomeAddressPostOfficeBox)` Sets the home address post office box of the contact.
`void` | `setHomeAddressStateOrProvince(java.lang.String sHomeAddressStateOrProvince)` Sets the home address state or province of the contact.
`void` | `setHomeAddressStreet(java.lang.String sHomeAddressStreet)` Sets the home address street of the contact.
`void` | `setHomeFaxNumber(java.lang.String sHomeFaxNumber)` Sets the home fax number of the contact.
`void` | `setHomeTelephoneNumber(java.lang.String sHomeTelephoneNumber)` Sets the home telephone number of the contact.
`void` | `setIMAddress(java.lang.String sIMAddress)` Sets the IM address of the contact.
`void` | `setInitials(java.lang.String sInitials)` Sets the initials of the contact.
`void` | `setInternetFreeBusyAddress(java.lang.String sInternetFreeBusyAddress)` Sets the Internet free/busy address for the contact.
`void` | `setISDNNumber(java.lang.String sISDNNumber)` Sets the ISDN number of the contact.
`void` | `setLanguage(java.lang.String sLanguage)` Sets the language for the contact.
`void` | `setLocation(java.lang.String sLocation)` Sets the location for the contact.
`void` | `setManagerName(java.lang.String sManagerName)` Sets the manager name for the contact.
`void` | `setMiddleName(java.lang.String sMiddleName)` Sets the middle name of the contact.
`void` | `setMileage(java.lang.String sMileage)` Sets the mileage for the contact.
`void` | `setMobileTelephoneNumber(java.lang.String sMobileTelephoneNumber)` Sets the mobile telephone number of the contact.
`void` | `setName(java.lang.String sPrefix, java.lang.String sGivenName, java.lang.String sMiddleName, java.lang.String sSurname, java.lang.String sGeneration)` Sets the full name, display name and file as property for the contact.
`void` | `setNickname(java.lang.String sNickname)` Sets the nickname of the contact.
`void` | `setOfficeLocation(java.lang.String sOfficeLocation)` Gets the office location for the contact.
`void` | `setOtherAddressCity(java.lang.String sOtherAddressCity)` Sets the other address city of the contact.
`void` | `setOtherAddressCountry(java.lang.String sOtherAddressCountry)` Sets the other address country of the contact.
`void` | `setOtherAddressPostalCode(java.lang.String sOtherAddressPostalCode)` Sets the other address postal code of the contact.
`void` | `setOtherAddressPostOfficeBox(java.lang.String sOtherAddressPostOfficeBox)` Sets the other address post office box of the contact.
`void` | `setOtherAddressStateOrProvince(java.lang.String sOtherAddressStateOrProvince)` Sets the other address state or province of the contact.
`void` | `setOtherAddressStreet(java.lang.String sOtherAddressStreet)` Sets the other address street of the contact.
`void` | `setOtherTelephoneNumber(java.lang.String sOtherTelephoneNumber)` Sets the other telelphone number for the contact.
`void` | `setPagerTelephoneNumber(java.lang.String sPagerTelephoneNumber)` Sets the pager telephone number of the contact.
`void` | `setPersonalHomePage(java.lang.String sPersonalHomePage)` Sets the personal home page.
`void` | `setPrimaryFaxNumber(java.lang.String sPrimaryFaxNumber)` Sets the primary fax number of the contact.
`void` | `setPrimaryTelephoneNumber(java.lang.String sPrimaryTelephoneNumber)` Sets the primary telephone number of the contact.
`void` | `setProfession(java.lang.String sProfession)` Sets the profession of the contact.
`void` | `setRadioTelephoneNumber(java.lang.String sRadioTelephoneNumber)` Sets the radio telephone number of the contact.
`void` | `setReferredByName(java.lang.String sReferredByName)` Sets the referred by name for the contact.
`void` | `setSelectedMailingAddress(SelectedMailingAddress selected)` Sets the selected mailing address for the contact.
`void` | `setSender(AddressEntry addressEntry)` This method is not allowed on this `Message` type.
`void` | `setSpouseName(java.lang.String sSpouseName)` Sets the spouse name for the contact.
`void` | `setSurname(java.lang.String sSurname)` Sets the surname of the contact.
`void` | `setTelexNumber(java.lang.String sTelexNumber)` Sets the telex number of the contact.
`void` | `setTitle(java.lang.String sTitle)` Sets the title of the contact.
`void` | `setTTYTDDPhoneNumber(java.lang.String sTTYTDDPhoneNumber)` Sets the TTYTDD phone number of the contact.
`void` | `setUserField1(java.lang.String sUserField1)` Sets the user field1 for the contact.
`void` | `setUserField2(java.lang.String sUserField2)` Sets the user field2 for the contact.
`void` | `setUserField3(java.lang.String sUserField3)` Sets the user field3 for the contact.
`void` | `setUserField4(java.lang.String sUserField4)` Sets the user field4 for the contact.
`void` | `setWeddingAnniversary(java.util.Date weddingAnniversary)` Sets the wedding anniversary of the contact.

Methods inherited from class com.compoze.exchange.Message
`getActionStatus, getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getCategories, getConversationIndex, getConversationTopic, getDeliveryReceipt, getEncrypted, getFlagStatus, getFlagText, getFolderID, getFolderName, getHtml, getHtml, getID, getImportance, getMessageType, getNormalizedSubject, getReadReceipt, getRecipientInfo, getRecipientInfoArray, getRichTextFormat, getRichTextFormatAsHtml, getRichTextFormatAsHtml, getRichTextFormatAsPlain, getSender, getSenderName, getSensitivity, getSent, getSigned, getSize, getStoreID, getSubject, getSubject, getSubmitted, getText, getTimeCreated, getTimeExpired, getTimeLastModified, getTimeReceived, getTimeReceivedString, getTimeSent, getUnread, hasAttachment, serverAddAttachment, serverCopyTo, serverDelete, serverDelete, serverDeleteAttachment, serverGetAttachment, serverGetAttachments, serverMoveTo, serverMoveTo, serverResolveRecipients, serverUpdate, serverUpdate, serverUpdate, setActionStatus, setCategories, setConversationIndex, setConversationTopic, setDeliveryReceipt, setEncrypted, setFlagStatus, setFlagText, setFlagText, setHtml, setImportance, setMessageType, setReadReceipt, setRichTextFormat, setSensitivity, setSent, setSigned, setSubject, setSubmitted, setText, setTimeExpired, setTimeReceived, setTimeSent, setUnread, toString`

Methods inherited from class com.compoze.exchange.AbstractItem
`get, getBoolean, getByteArray, getDate, getDouble, getInt, getInvalidPropertyValues, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setByteArray, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a contact. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### setName

    public void setName(java.lang.String sPrefix,
                        java.lang.String sGivenName,
                        java.lang.String sMiddleName,
                        java.lang.String sSurname,
                        java.lang.String sGeneration)
                 throws ExchangeException

  Sets the full name, display name and file as property for the contact. This method may be used in place of setGivenName(), setMiddleName(), setSurname(), setGeneration(), setDisplayNamePrefix() and setFileAs() to conveniently initialize these to the correct values for the contact's name. The properties are set as follows:

       DisplayNamePrefix - set to prefix
       GivenName - set to given name (first)
       MiddleName - set to middle name
       Surname - set to surname (last)
       Generation - set to generation (suffix)
       FileAs - set to "Last, First Suffix"
       DisplayName - set to "Prefix First (Middle) Last Suffix"

  Parameters:
    `sPrefix` - the prefix (for example, Mr., Mrs. or Dr.) (may be `null`)
    `sGivenName` - the given name for the contact (may be `null`)
    `sMiddleName` - the middle name for the contact (may be `null`)
    `sSurname` - the last name for the contact (may be `null`)
    `sGeneration` - the generation (for example, Jr., Sr, or Esq.) (may be `null`)
  Throws:
    `ExchangeException`
  See Also:
    `setDisplayNamePrefix(String)`, `setGivenName(String)`, `setMiddleName(String)`, `setSurname(String)`, `setGeneration(String)`

### getBusinessHomePage

    public java.lang.String getBusinessHomePage()
                                         throws ExchangeException

  Gets the business home page.

  Returns:
    the business home page
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_HOME_PAGE`

### setBusinessHomePage

    public void setBusinessHomePage(java.lang.String sBusinessHomePage)
                             throws ExchangeException

  Sets the business home page.

  Parameters:
    `sBusinessHomePage` - the business home page
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_HOME_PAGE`

### getPersonalHomePage

    public java.lang.String getPersonalHomePage()
                                         throws ExchangeException

  Gets the personal home page.

  Returns:
    the personal home page
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PERSONAL_HOME_PAGE`

### setPersonalHomePage

    public void setPersonalHomePage(java.lang.String sPersonalHomePage)
                             throws ExchangeException

  Sets the personal home page.

  Parameters:
    `sPersonalHomePage` - the personal home page
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PERSONAL_HOME_PAGE`

### getGivenName

    public java.lang.String getGivenName()
                                  throws ExchangeException

  Gets the given name of the contact.

  Returns:
    the given name
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.GIVEN_NAME`

### setGivenName

    public void setGivenName(java.lang.String sGivenName)
                      throws ExchangeException

  Sets the given name of the contact.

  Parameters:
    `sGivenName` - the given name
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.GIVEN_NAME`

### getMiddleName

    public java.lang.String getMiddleName()
                                   throws ExchangeException

  Gets the middle name of the contact.

  Returns:
    the middle name of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MIDDLE_NAME`

### setMiddleName

    public void setMiddleName(java.lang.String sMiddleName)
                       throws ExchangeException

  Sets the middle name of the contact.

  Parameters:
    `sMiddleName` - the middle name of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MIDDLE_NAME`

### getSurname

    public java.lang.String getSurname()
                                throws ExchangeException

  Gets the surname of the contact.

  Returns:
    the surname of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.SURNAME`

### setSurname

    public void setSurname(java.lang.String sSurname)
                    throws ExchangeException

  Sets the surname of the contact.

  Parameters:
    `sSurname` - the surname of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.SURNAME`

### getGeneration

    public java.lang.String getGeneration()
                                   throws ExchangeException

  Gets the generation of the contact.

  Returns:
    the generation of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.GENERATION`

### setGeneration

    public void setGeneration(java.lang.String sGeneration)
                       throws ExchangeException

  Sets the generation of the contact.

  Parameters:
    `sGeneration` - the generation of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.GENERATION`

### getCallbackTelephoneNumber

    public java.lang.String getCallbackTelephoneNumber()
                                                throws ExchangeException

  Gets the callback telephone number for the contact.

  Returns:
    the callback telephone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.CALLBACK_TELEPHONE_NUMBER`

### setCallbackTelephoneNumber

    public void setCallbackTelephoneNumber(java.lang.String sCallbackTelephoneNumber)
                                    throws ExchangeException

  Sets the callback telephone number for the contact.

  Parameters:
    `sCallbackTelephoneNumber` - the callback telephone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.CALLBACK_TELEPHONE_NUMBER`

### getCarTelephoneNumber

    public java.lang.String getCarTelephoneNumber()
                                           throws ExchangeException

  Gets the car telephone number of the contact.

  Returns:
    the car telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.CAR_TELEPHONE_NUMBER`

### setCarTelephoneNumber

    public void setCarTelephoneNumber(java.lang.String sCarTelephoneNumber)
                               throws ExchangeException

  Sets the car telephone number of the contact.

  Parameters:
    `sCarTelephoneNumber` - the car telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.CAR_TELEPHONE_NUMBER`

### getBusinessFaxNumber

    public java.lang.String getBusinessFaxNumber()
                                          throws ExchangeException

  Gets the business fax number for the contact.

  Returns:
    the business fax number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_FAX_NUMBER`

### setBusinessFaxNumber

    public void setBusinessFaxNumber(java.lang.String sBusinessFaxNumber)
                              throws ExchangeException

  Gets the business fax number for the contact.

  Parameters:
    `sBusinessFaxNumber` - the business fax number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_FAX_NUMBER`

### getAssistantTelephoneNumber

    public java.lang.String getAssistantTelephoneNumber()
                                                 throws ExchangeException

  Gets the assistant telephone number for the contact.

  Returns:
    the assistant telephone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ASSISTANT_TELEPHONE_NUMBER`

### setAssistantTelephoneNumber

    public void setAssistantTelephoneNumber(java.lang.String sAssistantTelephoneNumber)
                                     throws ExchangeException

  Sets the assistant telephone number for the contact.

  Parameters:
    `sAssistantTelephoneNumber` - the assistant telephone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ASSISTANT_TELEPHONE_NUMBER`

### getBusinessTelephoneNumber

    public java.lang.String getBusinessTelephoneNumber()
                                                throws ExchangeException

  Gets the business telephone number for the contact.

  Returns:
    the business telephone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_TELEPHONE_NUMBER`

### setBusinessTelephoneNumber

    public void setBusinessTelephoneNumber(java.lang.String sBusinessTelephoneNumber)
                                    throws ExchangeException

  Sets the business telephone number for the contact.

  Parameters:
    `sBusinessTelephoneNumber` - the business telephone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_TELEPHONE_NUMBER`

### getCompanyMainPhoneNumber

    public java.lang.String getCompanyMainPhoneNumber()
                                               throws ExchangeException

  Gets the company main phone number for the contact.

  Returns:
    the company main phone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMPANY_MAIN_PHONE_NUMBER`

### setCompanyMainPhoneNumber

    public void setCompanyMainPhoneNumber(java.lang.String sCompanyMainPhoneNumber)
                                   throws ExchangeException

  Sets the company main phone number for the contact.

  Parameters:
    `sCompanyMainPhoneNumber` - the company main phone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMPANY_MAIN_PHONE_NUMBER`

### getBusiness2TelephoneNumber

    public java.lang.String getBusiness2TelephoneNumber()
                                                 throws ExchangeException

  Gets the business2 telephone number of the contact.

  Returns:
    the business2 telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS2_TELEPHONE_NUMBER`

### setBusiness2TelephoneNumber

    public void setBusiness2TelephoneNumber(java.lang.String sBusiness2TelephoneNumber)
                                     throws ExchangeException

  Sets the business2 telephone number of the contact.

  Parameters:
    `sBusiness2TelephoneNumber` - the business2 telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS2_TELEPHONE_NUMBER`

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws ExchangeException

  Gets the company name for the contact.

  Returns:
    the company name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMPANY_NAME`

### setCompanyName

    public void setCompanyName(java.lang.String sCompanyName)
                        throws ExchangeException

  Sets the company name for the contact.

  Parameters:
    `sCompanyName` - the company name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMPANY_NAME`

### getCountry

    public java.lang.String getCountry()
                                throws ExchangeException

  Gets the country for the contact.

  Returns:
    the country for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COUNTRY`

### getDepartmentName

    public java.lang.String getDepartmentName()
                                       throws ExchangeException

  Gets the department name for the contact.

  Returns:
    the department name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.DEPARTMENT_NAME`

### setDepartmentName

    public void setDepartmentName(java.lang.String sDepartmentName)
                           throws ExchangeException

  Sets the department name for the contact.

  Parameters:
    `sDepartmentName` - the department name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.DEPARTMENT_NAME`

### getManagerName

    public java.lang.String getManagerName()
                                    throws ExchangeException

  Gets the manager name for the contact.

  Returns:
    the manager name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MANAGER_NAME`

### setManagerName

    public void setManagerName(java.lang.String sManagerName)
                        throws ExchangeException

  Sets the manager name for the contact.

  Parameters:
    `sManagerName` - the manager name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MANAGER_NAME`

### getOfficeLocation

    public java.lang.String getOfficeLocation()
                                       throws ExchangeException

  Gets the office location for the contact.

  Returns:
    the office location for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OFFICE_LOCATION`

### setOfficeLocation

    public void setOfficeLocation(java.lang.String sOfficeLocation)
                           throws ExchangeException

  Gets the office location for the contact.

  Parameters:
    `sOfficeLocation` - the office location for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OFFICE_LOCATION`

### getLocation

    public java.lang.String getLocation()
                                 throws ExchangeException

  Gets the location for the contact.

  Returns:
    the location for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.LOCATION`

### setLocation

    public void setLocation(java.lang.String sLocation)
                     throws ExchangeException

  Sets the location for the contact.

  Parameters:
    `sLocation` - the location for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.LOCATION`

### getReferredByName

    public java.lang.String getReferredByName()
                                       throws ExchangeException

  Gets the referred by name for the contact.

  Returns:
    the referred by name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.REFERRED_BY_NAME`

### setReferredByName

    public void setReferredByName(java.lang.String sReferredByName)
                           throws ExchangeException

  Sets the referred by name for the contact.

  Parameters:
    `sReferredByName` - the referred by name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.REFERRED_BY_NAME`

### getAssistant

    public java.lang.String getAssistant()
                                  throws ExchangeException

  Gets the assistant for the contact.

  Returns:
    the assistant for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ASSISTANT`

### setAssistant

    public void setAssistant(java.lang.String sAssistant)
                      throws ExchangeException

  Sets the assistant for the contact.

  Parameters:
    `sAssistant` - the assistant for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ASSISTANT`

### getProfession

    public java.lang.String getProfession()
                                   throws ExchangeException

  Gets the profession of the contact.

  Returns:
    the profession of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PROFESSION`

### setProfession

    public void setProfession(java.lang.String sProfession)
                       throws ExchangeException

  Sets the profession of the contact.

  Parameters:
    `sProfession` - the profession of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PROFESSION`

### getNickname

    public java.lang.String getNickname()
                                 throws ExchangeException

  Gets the nickname of the contact.

  Returns:
    the nickname of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.NICKNAME`

### setNickname

    public void setNickname(java.lang.String sNickname)
                     throws ExchangeException

  Sets the nickname of the contact.

  Parameters:
    `sNickname` - the nickname of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.NICKNAME`

### getSpouseName

    public java.lang.String getSpouseName()
                                   throws ExchangeException

  Gets the spouse name for the contact.

  Returns:
    the spouse name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.SPOUSE_NAME`

### setSpouseName

    public void setSpouseName(java.lang.String sSpouseName)
                       throws ExchangeException

  Sets the spouse name for the contact.

  Parameters:
    `sSpouseName` - the spouse name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.SPOUSE_NAME`

### getAccount

    public java.lang.String getAccount()
                                throws ExchangeException

  Gets the account for the contact.

  Returns:
    the account for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ACCOUNT`

### setAccount

    public void setAccount(java.lang.String sAccount)
                    throws ExchangeException

  Sets the account for the contact.

  Parameters:
    `sAccount` - the account for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ACCOUNT`

### getGender

    public Gender getGender()
                     throws ExchangeException

  Gets the gender of the contact.

  Returns:
    the gender of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.GENDER`

### setGender

    public void setGender(Gender gender)
                   throws ExchangeException

  Sets the gender of the contact.

  Parameters:
    `gender` - the gender of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.GENDER`

### getComputerNetworkName

    public java.lang.String getComputerNetworkName()
                                            throws ExchangeException

  Gets the computer network name for the contact.

  Returns:
    the computer network name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMPUTER_NETWORK_NAME`

### setComputerNetworkName

    public void setComputerNetworkName(java.lang.String sComputerNetworkName)
                                throws ExchangeException

  Sets the computer network name for the contact.

  Parameters:
    `sComputerNetworkName` - the computer network name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMPUTER_NETWORK_NAME`

### getHobbies

    public java.lang.String getHobbies()
                                throws ExchangeException

  Gets the hobbies for the contact.

  Returns:
    the hobbies for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOBBIES`

### setHobbies

    public void setHobbies(java.lang.String sHobbies)
                    throws ExchangeException

  Gets the hobbies for the contact.

  Parameters:
    `sHobbies` - the hobbies for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOBBIES`

### getLanguage

    public java.lang.String getLanguage()
                                 throws ExchangeException

  Gets the language for the contact.

  Returns:
    the language for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.LANGUAGE`

### setLanguage

    public void setLanguage(java.lang.String sLanguage)
                     throws ExchangeException

  Sets the language for the contact.

  Parameters:
    `sLanguage` - the language for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.LANGUAGE`

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws ExchangeException

  Gets the display name of the contact.

  Returns:
    the display name of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.DISPLAY_NAME`

### setDisplayName

    public void setDisplayName(java.lang.String sDisplayName)
                        throws ExchangeException

  Sets the display name of the contact.

  Parameters:
    `sDisplayName` - the display name of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.DISPLAY_NAME`

### getHomeFaxNumber

    public java.lang.String getHomeFaxNumber()
                                      throws ExchangeException

  Gets the home fax number of the contact.

  Returns:
    the home fax number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_FAX_NUMBER`

### setHomeFaxNumber

    public void setHomeFaxNumber(java.lang.String sHomeFaxNumber)
                          throws ExchangeException

  Sets the home fax number of the contact.

  Parameters:
    `sHomeFaxNumber` - the home fax number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_FAX_NUMBER`

### getISDNNumber

    public java.lang.String getISDNNumber()
                                   throws ExchangeException

  Gets the ISDN number of the contact.

  Returns:
    the ISDN number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ISDN_NUMBER`

### setISDNNumber

    public void setISDNNumber(java.lang.String sISDNNumber)
                       throws ExchangeException

  Sets the ISDN number of the contact.

  Parameters:
    `sISDNNumber` - the ISDN number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ISDN_NUMBER`

### getHomeTelephoneNumber

    public java.lang.String getHomeTelephoneNumber()
                                            throws ExchangeException

  Gets the home telephone number of the contact.

  Returns:
    the home telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_TELEPHONE_NUMBER`

### setHomeTelephoneNumber

    public void setHomeTelephoneNumber(java.lang.String sHomeTelephoneNumber)
                                throws ExchangeException

  Sets the home telephone number of the contact.

  Parameters:
    `sHomeTelephoneNumber` - the home telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_TELEPHONE_NUMBER`

### getHome2TelephoneNumber

    public java.lang.String getHome2TelephoneNumber()
                                             throws ExchangeException

  Gets the home2 telephone number of the contact.

  Returns:
    the home2 telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME2_TELEPHONE_NUMBER`

### setHome2TelephoneNumber

    public void setHome2TelephoneNumber(java.lang.String sHome2TelephoneNumber)
                                 throws ExchangeException

  Sets the home2 telephone number of the contact.

  Parameters:
    `sHome2TelephoneNumber` - the home2 telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME2_TELEPHONE_NUMBER`

### getInitials

    public java.lang.String getInitials()
                                 throws ExchangeException

  Gets the initials of the contact.

  Returns:
    the initials of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.INITIALS`

### setInitials

    public void setInitials(java.lang.String sInitials)
                     throws ExchangeException

  Sets the initials of the contact.

  Parameters:
    `sInitials` - the initials of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.INITIALS`

### getFtpSite

    public java.lang.String getFtpSite()
                                throws ExchangeException

  Gets the Ftp site of the contact.

  Returns:
    the Ftp site of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.FTP_SITE`

### setFtpSite

    public void setFtpSite(java.lang.String sFtpSite)
                    throws ExchangeException

  Sets the Ftp site of the contact.

  Parameters:
    `sFtpSite` - the Ftp site of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.FTP_SITE`

### getMobileTelephoneNumber

    public java.lang.String getMobileTelephoneNumber()
                                              throws ExchangeException

  Gets the mobile telephone number of the contact.

  Returns:
    the mobile telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MOBILE_TELEPHONE_NUMBER`

### setMobileTelephoneNumber

    public void setMobileTelephoneNumber(java.lang.String sMobileTelephoneNumber)
                                  throws ExchangeException

  Sets the mobile telephone number of the contact.

  Parameters:
    `sMobileTelephoneNumber` - the mobile telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MOBILE_TELEPHONE_NUMBER`

### getLocality

    public java.lang.String getLocality()
                                 throws ExchangeException

  Gets the locality of the contact.

  Returns:
    the locality of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.LOCALITY`

### getOtherTelephoneNumber

    public java.lang.String getOtherTelephoneNumber()
                                             throws ExchangeException

  Gets the other telelphone number for the contact.

  Returns:
    the other telelphone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_TELEPHONE_NUMBER`

### setOtherTelephoneNumber

    public void setOtherTelephoneNumber(java.lang.String sOtherTelephoneNumber)
                                 throws ExchangeException

  Sets the other telelphone number for the contact.

  Parameters:
    `sOtherTelephoneNumber` - the other telelphone number for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_TELEPHONE_NUMBER`

### getPagerTelephoneNumber

    public java.lang.String getPagerTelephoneNumber()
                                             throws ExchangeException

  Gets the pager telephone number of the contact.

  Returns:
    the pager telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PAGER_TELEPHONE_NUMBER`

### setPagerTelephoneNumber

    public void setPagerTelephoneNumber(java.lang.String sPagerTelephoneNumber)
                                 throws ExchangeException

  Sets the pager telephone number of the contact.

  Parameters:
    `sPagerTelephoneNumber` - the pager telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PAGER_TELEPHONE_NUMBER`

### getPostalCode

    public java.lang.String getPostalCode()
                                   throws ExchangeException

  Gets the postal code of the contact.

  Returns:
    the postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.POSTAL_CODE`

### getPrimaryTelephoneNumber

    public java.lang.String getPrimaryTelephoneNumber()
                                               throws ExchangeException

  Gets the primary telephone number of the contact.

  Returns:
    the primary telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PRIMARY_TELEPHONE_NUMBER`

### setPrimaryTelephoneNumber

    public void setPrimaryTelephoneNumber(java.lang.String sPrimaryTelephoneNumber)
                                   throws ExchangeException

  Sets the primary telephone number of the contact.

  Parameters:
    `sPrimaryTelephoneNumber` - the primary telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PRIMARY_TELEPHONE_NUMBER`

### getPrimaryFaxNumber

    public java.lang.String getPrimaryFaxNumber()
                                         throws ExchangeException

  Gets the primary fax number of the contact.

  Returns:
    the primary fax number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PRIMARY_FAX_NUMBER`

### setPrimaryFaxNumber

    public void setPrimaryFaxNumber(java.lang.String sPrimaryFaxNumber)
                             throws ExchangeException

  Sets the primary fax number of the contact.

  Parameters:
    `sPrimaryFaxNumber` - the primary fax number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PRIMARY_FAX_NUMBER`

### getRadioTelephoneNumber

    public java.lang.String getRadioTelephoneNumber()
                                             throws ExchangeException

  Gets the radio telephone number of the contact.

  Returns:
    the radio telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.RADIO_TELEPHONE_NUMBER`

### setRadioTelephoneNumber

    public void setRadioTelephoneNumber(java.lang.String sRadioTelephoneNumber)
                                 throws ExchangeException

  Sets the radio telephone number of the contact.

  Parameters:
    `sRadioTelephoneNumber` - the radio telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.RADIO_TELEPHONE_NUMBER`

### getTelexNumber

    public java.lang.String getTelexNumber()
                                    throws ExchangeException

  Gets the telex number of the contact.

  Returns:
    the telex number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.TELEX_NUMBER`

### setTelexNumber

    public void setTelexNumber(java.lang.String sTelexNumber)
                        throws ExchangeException

  Sets the telex number of the contact.

  Parameters:
    `sTelexNumber` - the telex number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.TELEX_NUMBER`

### getTTYTDDPhoneNumber

    public java.lang.String getTTYTDDPhoneNumber()
                                          throws ExchangeException

  Gets the TTYTDD phone number of the contact.

  Returns:
    the TTYTDD phone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.TTYTDD_PHONE_NUMBER`

### setTTYTDDPhoneNumber

    public void setTTYTDDPhoneNumber(java.lang.String sTTYTDDPhoneNumber)
                              throws ExchangeException

  Sets the TTYTDD phone number of the contact.

  Parameters:
    `sTTYTDDPhoneNumber` - the TTYTDD phone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.TTYTDD_PHONE_NUMBER`

### getStateOrProvince

    public java.lang.String getStateOrProvince()
                                        throws ExchangeException

  Gets the state or province of the contact.

  Returns:
    the state or province of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.STATE_OR_PROVINCE`

### getStreetAddress

    public java.lang.String getStreetAddress()
                                      throws ExchangeException

  Gets the street address of the contact.

  Returns:
    the street address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.STREET_ADDRESS`

### getHomeAddressCity

    public java.lang.String getHomeAddressCity()
                                        throws ExchangeException

  Gets the home address city of the contact.

  Returns:
    the home address city of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_CITY`

### setHomeAddressCity

    public void setHomeAddressCity(java.lang.String sHomeAddressCity)
                            throws ExchangeException

  Sets the home address city of the contact.

  Parameters:
    `sHomeAddressCity` - the home address city of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_CITY`

### getHomeAddressStreet

    public java.lang.String getHomeAddressStreet()
                                          throws ExchangeException

  Gets the home address street of the contact.

  Returns:
    the home address street of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_STREET`

### setHomeAddressStreet

    public void setHomeAddressStreet(java.lang.String sHomeAddressStreet)
                              throws ExchangeException

  Sets the home address street of the contact.

  Parameters:
    `sHomeAddressStreet` - the home address street of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_STREET`

### getHomeAddressStateOrProvince

    public java.lang.String getHomeAddressStateOrProvince()
                                                   throws ExchangeException

  Gets the home address state or province of the contact.

  Returns:
    the home address state or province of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_STATE_OR_PROVINCE`

### setHomeAddressStateOrProvince

    public void setHomeAddressStateOrProvince(java.lang.String sHomeAddressStateOrProvince)
                                       throws ExchangeException

  Sets the home address state or province of the contact.

  Parameters:
    `sHomeAddressStateOrProvince` - the home address state or province of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_STATE_OR_PROVINCE`

### getHomeAddressCountry

    public java.lang.String getHomeAddressCountry()
                                           throws ExchangeException

  Gets the home address country of the contact.

  Returns:
    the home address country of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_COUNTRY`

### setHomeAddressCountry

    public void setHomeAddressCountry(java.lang.String sHomeAddressCountry)
                               throws ExchangeException

  Sets the home address country of the contact.

  Parameters:
    `sHomeAddressCountry` - the home address country of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_COUNTRY`

### getHomeAddressPostOfficeBox

    public java.lang.String getHomeAddressPostOfficeBox()
                                                 throws ExchangeException

  Gets the home address post office box of the contact.

  Returns:
    the home address post office box of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_POST_OFFICE_BOX`

### setHomeAddressPostOfficeBox

    public void setHomeAddressPostOfficeBox(java.lang.String sHomeAddressPostOfficeBox)
                                     throws ExchangeException

  Sets the home address post office box of the contact.

  Parameters:
    `sHomeAddressPostOfficeBox` - the home address post office box of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_POST_OFFICE_BOX`

### getHomeAddressPostalCode

    public java.lang.String getHomeAddressPostalCode()
                                              throws ExchangeException

  Gets the home address postal code of the contact.

  Returns:
    the home address postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_POSTAL_CODE`

### setHomeAddressPostalCode

    public void setHomeAddressPostalCode(java.lang.String sHomeAddressPostalCode)
                                  throws ExchangeException

  Sets the home address postal code of the contact.

  Parameters:
    `sHomeAddressPostalCode` - the home address postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS_POSTAL_CODE`

### getOtherAddressCity

    public java.lang.String getOtherAddressCity()
                                         throws ExchangeException

  Gets the other address city of the contact.

  Returns:
    the other address city of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_CITY`

### setOtherAddressCity

    public void setOtherAddressCity(java.lang.String sOtherAddressCity)
                             throws ExchangeException

  Sets the other address city of the contact.

  Parameters:
    `sOtherAddressCity` - the other address city of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_CITY`

### getOtherAddressStreet

    public java.lang.String getOtherAddressStreet()
                                           throws ExchangeException

  Gets the other address street of the contact.

  Returns:
    the other address street of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_STREET`

### setOtherAddressStreet

    public void setOtherAddressStreet(java.lang.String sOtherAddressStreet)
                               throws ExchangeException

  Sets the other address street of the contact.

  Parameters:
    `sOtherAddressStreet` - the other address street of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_STREET`

### getOtherAddressStateOrProvince

    public java.lang.String getOtherAddressStateOrProvince()
                                                    throws ExchangeException

  Gets the other address state or province of the contact.

  Returns:
    the other address state or province of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_STATE_OR_PROVINCE`

### setOtherAddressStateOrProvince

    public void setOtherAddressStateOrProvince(java.lang.String sOtherAddressStateOrProvince)
                                        throws ExchangeException

  Sets the other address state or province of the contact.

  Parameters:
    `sOtherAddressStateOrProvince` - the other address state or province of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_STATE_OR_PROVINCE`

### getOtherAddressCountry

    public java.lang.String getOtherAddressCountry()
                                            throws ExchangeException

  Gets the other address country of the contact.

  Returns:
    the other address country of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_COUNTRY`

### setOtherAddressCountry

    public void setOtherAddressCountry(java.lang.String sOtherAddressCountry)
                                throws ExchangeException

  Sets the other address country of the contact.

  Parameters:
    `sOtherAddressCountry` - the other address country of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_COUNTRY`

### getOtherAddressPostOfficeBox

    public java.lang.String getOtherAddressPostOfficeBox()
                                                  throws ExchangeException

  Gets the other address post office box of the contact.

  Returns:
    the other address post office box of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_POST_OFFICE_BOX`

### setOtherAddressPostOfficeBox

    public void setOtherAddressPostOfficeBox(java.lang.String sOtherAddressPostOfficeBox)
                                      throws ExchangeException

  Sets the other address post office box of the contact.

  Parameters:
    `sOtherAddressPostOfficeBox` - the other address post office box of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_POST_OFFICE_BOX`

### getOtherAddressPostalCode

    public java.lang.String getOtherAddressPostalCode()
                                               throws ExchangeException

  Gets the other address postal code of the contact.

  Returns:
    the other address postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_POSTAL_CODE`

### setOtherAddressPostalCode

    public void setOtherAddressPostalCode(java.lang.String sOtherAddressPostalCode)
                                   throws ExchangeException

  Sets the other address postal code of the contact.

  Parameters:
    `sOtherAddressPostalCode` - the other address postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OTHER_ADDRESS_POSTAL_CODE`

### getBusinessAddressCity

    public java.lang.String getBusinessAddressCity()
                                            throws ExchangeException

  Gets the business address city of the contact.

  Returns:
    the business address city of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_CITY`

### setBusinessAddressCity

    public void setBusinessAddressCity(java.lang.String sBusinessAddressCity)
                                throws ExchangeException

  Sets the business address city of the contact.

  Parameters:
    `sBusinessAddressCity` - the business address city of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_CITY`

### getBusinessAddressStreet

    public java.lang.String getBusinessAddressStreet()
                                              throws ExchangeException

  Gets the business address street of the contact.

  Returns:
    the business address street of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_STREET`

### setBusinessAddressStreet

    public void setBusinessAddressStreet(java.lang.String sBusinessAddressStreet)
                                  throws ExchangeException

  Sets the business address street of the contact.

  Parameters:
    `sBusinessAddressStreet` - the business address street of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_STREET`

### getBusinessAddressStateOrProvince

    public java.lang.String getBusinessAddressStateOrProvince()
                                                       throws ExchangeException

  Gets the business address state or province of the contact.

  Returns:
    the business address state or province of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_STATE_OR_PROVINCE`

### setBusinessAddressStateOrProvince

    public void setBusinessAddressStateOrProvince(java.lang.String sBusinessAddressStateOrProvince)
                                           throws ExchangeException

  Sets the business address state or province of the contact.

  Parameters:
    `sBusinessAddressStateOrProvince` - the business address state or province of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_STATE_OR_PROVINCE`

### getBusinessAddressCountry

    public java.lang.String getBusinessAddressCountry()
                                               throws ExchangeException

  Gets the business address country of the contact.

  Returns:
    the business address country of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_COUNTRY`

### setBusinessAddressCountry

    public void setBusinessAddressCountry(java.lang.String sBusinessAddressCountry)
                                   throws ExchangeException

  Sets the business address country of the contact.

  Parameters:
    `sBusinessAddressCountry` - the business address country of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_COUNTRY`

### getBusinessAddressPostOfficeBox

    public java.lang.String getBusinessAddressPostOfficeBox()
                                                     throws ExchangeException

  Gets the business address post office box of the contact.

  Returns:
    the business address post office box of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_POST_OFFICE_BOX`

### setBusinessAddressPostOfficeBox

    public void setBusinessAddressPostOfficeBox(java.lang.String sBusinessAddressPostOfficeBox)
                                         throws ExchangeException

  Sets the business address post office box of the contact.

  Parameters:
    `sBusinessAddressPostOfficeBox` - the business address post office box of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_POST_OFFICE_BOX`

### getBusinessAddressPostalCode

    public java.lang.String getBusinessAddressPostalCode()
                                                  throws ExchangeException

  Gets the business address postal code of the contact.

  Returns:
    the business address postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_POSTAL_CODE`

### setBusinessAddressPostalCode

    public void setBusinessAddressPostalCode(java.lang.String sBusinessAddressPostalCode)
                                      throws ExchangeException

  Sets the business address postal code of the contact.

  Parameters:
    `sBusinessAddressPostalCode` - the business address postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_POSTAL_CODE`

### getTitle

    public java.lang.String getTitle()
                              throws ExchangeException

  Gets the title of the contact.

  Returns:
    the title of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.TITLE`

### setTitle

    public void setTitle(java.lang.String sTitle)
                  throws ExchangeException

  Sets the title of the contact.

  Parameters:
    `sTitle` - the title of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.TITLE`

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws ExchangeException

  Gets the email address of the contact.

  Returns:
    the email address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL_ADDRESS`

### setEmailAddress

    public void setEmailAddress(java.lang.String sEmailAddress)
                         throws ExchangeException

  Sets the email address of the contact.

  Parameters:
    `sEmailAddress` - the email address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL_ADDRESS`

### getAddressType

    public java.lang.String getAddressType()
                                    throws ExchangeException

  Gets the address type of the contact.

  Returns:
    the address type of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRTYPE`

### setAddressType

    public void setAddressType(java.lang.String sAddressType)
                        throws ExchangeException

  Sets the address type of the contact.

  Parameters:
    `sAddressType` - the address type of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRTYPE`

### getChildrenNames

    public java.lang.String[] getChildrenNames()
                                        throws ExchangeException

  Gets the children names of the contact.

  Returns:
    the children names of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.CHILDREN_NAMES`

### setChildrenNames

    public void setChildrenNames(java.lang.String[] names)
                          throws ExchangeException

  Sets the children names of the contact.

  Parameters:
    `names` - the children names of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.CHILDREN_NAMES`

### getBirthday

    public java.util.Date getBirthday()
                               throws ExchangeException

  Gets the birthday of the contact.

  Returns:
    the birthday of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BIRTHDAY`

### setBirthday

    public void setBirthday(java.util.Date birthday)
                     throws ExchangeException

  Sets the birthday of the contact.

  Parameters:
    `birthday` - the birthday of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BIRTHDAY`

### getWeddingAnniversary

    public java.util.Date getWeddingAnniversary()
                                         throws ExchangeException

  Gets the wedding anniversary of the contact.

  Returns:
    the wedding anniversary of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.WEDDING_ANNIVERSARY`

### setWeddingAnniversary

    public void setWeddingAnniversary(java.util.Date weddingAnniversary)
                               throws ExchangeException

  Sets the wedding anniversary of the contact.

  Parameters:
    `weddingAnniversary` - the wedding anniversary of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.WEDDING_ANNIVERSARY`

### getDisplayNamePrefix

    public java.lang.String getDisplayNamePrefix()
                                          throws ExchangeException

  Gets the display name prefix of the contact.

  Returns:
    the display name prefix of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.DISPLAY_NAME_PREFIX`

### setDisplayNamePrefix

    public void setDisplayNamePrefix(java.lang.String sDisplayNamePrefix)
                              throws ExchangeException

  Sets the display name prefix of the contact.

  Parameters:
    `sDisplayNamePrefix` - the display name prefix of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.DISPLAY_NAME_PREFIX`

### getFileAs

    public java.lang.String getFileAs()
                               throws ExchangeException

  Gets the file as of the contact.

  Returns:
    the file as of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.FILE_AS`

### setFileAs

    public void setFileAs(java.lang.String sFileAs)
                   throws ExchangeException

  Sets the file as of the contact.

  Parameters:
    `sFileAs` - the file as of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.FILE_AS`

### getEmail1DisplayName

    public java.lang.String getEmail1DisplayName()
                                          throws ExchangeException

  Gets the email1 display name for the contact.

  Returns:
    the email1 display name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL1_DISPLAY_NAME`

### setEmail1DisplayName

    public void setEmail1DisplayName(java.lang.String sEmail1DisplayName)
                              throws ExchangeException

  Sets the email1 display name for the contact.

  Parameters:
    `sEmail1DisplayName` - the email1 display name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL1_DISPLAY_NAME`

### getEmail1Address

    public java.lang.String getEmail1Address()
                                      throws ExchangeException

  Gets the email1 address for the contact.

  Returns:
    the email1 address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL1_ADDRESS`

### setEmail1Address

    public void setEmail1Address(java.lang.String sEmail1Address)
                          throws ExchangeException

  Sets the email1 address for the contact.

  Parameters:
    `sEmail1Address` - the email1 address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL1_ADDRESS`

### getEmail1AddressType

    public java.lang.String getEmail1AddressType()
                                          throws ExchangeException

  Gets the email1 address type for the contact.

  Returns:
    the email1 address type for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL1_ADDRESS_TYPE`

### setEmail1AddressType

    public void setEmail1AddressType(java.lang.String sEmail1AddressType)
                              throws ExchangeException

  Sets the email1 address type for the contact.

  Parameters:
    `sEmail1AddressType` - the email1 address type for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL1_ADDRESS_TYPE`

### getEmail2DisplayName

    public java.lang.String getEmail2DisplayName()
                                          throws ExchangeException

  Gets the email2 display name for the contact.

  Returns:
    the email2 display name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL2_DISPLAY_NAME`

### setEmail2DisplayName

    public void setEmail2DisplayName(java.lang.String sEmail2DisplayName)
                              throws ExchangeException

  Sets the email2 display name for the contact.

  Parameters:
    `sEmail2DisplayName` - the email2 display name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL2_DISPLAY_NAME`

### getEmail2Address

    public java.lang.String getEmail2Address()
                                      throws ExchangeException

  Gets the email2 address for the contact.

  Returns:
    the email2 address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL2_ADDRESS`

### setEmail2Address

    public void setEmail2Address(java.lang.String sEmail2Address)
                          throws ExchangeException

  Sets the email2 address for the contact.

  Parameters:
    `sEmail2Address` - the email2 address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL2_ADDRESS`

### getEmail2AddressType

    public java.lang.String getEmail2AddressType()
                                          throws ExchangeException

  Gets the email2 address type for the contact.

  Returns:
    the email2 address type for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL2_ADDRESS_TYPE`

### setEmail2AddressType

    public void setEmail2AddressType(java.lang.String sEmail2AddressType)
                              throws ExchangeException

  Sets the email2 address type for the contact.

  Parameters:
    `sEmail2AddressType` - the email2 address type for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL2_ADDRESS_TYPE`

### getEmail3DisplayName

    public java.lang.String getEmail3DisplayName()
                                          throws ExchangeException

  Gets the email3 display name for the contact.

  Returns:
    the email3 display name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL3_DISPLAY_NAME`

### setEmail3DisplayName

    public void setEmail3DisplayName(java.lang.String sEmail3DisplayName)
                              throws ExchangeException

  Sets the email3 display name for the contact.

  Parameters:
    `sEmail3DisplayName` - the email3 display name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL3_DISPLAY_NAME`

### getEmail3Address

    public java.lang.String getEmail3Address()
                                      throws ExchangeException

  Gets the email3 address for the contact.

  Returns:
    the email3 address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL3_ADDRESS`

### setEmail3Address

    public void setEmail3Address(java.lang.String sEmail3Address)
                          throws ExchangeException

  Sets the email3 address for the contact.

  Parameters:
    `sEmail3Address` - the email3 address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL3_ADDRESS`

### getEmail3AddressType

    public java.lang.String getEmail3AddressType()
                                          throws ExchangeException

  Gets the email3 address type for the contact.

  Returns:
    the email3 address type for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL3_ADDRESS_TYPE`

### setEmail3AddressType

    public void setEmail3AddressType(java.lang.String sEmail3AddressType)
                              throws ExchangeException

  Sets the email3 address type for the contact.

  Parameters:
    `sEmail3AddressType` - the email3 address type for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMAIL3_ADDRESS_TYPE`

### getHomeAddress

    public java.lang.String getHomeAddress()
                                    throws ExchangeException

  Gets the home address of the contact.

  Returns:
    the home address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS`

### setHomeAddress

    public void setHomeAddress(java.lang.String sHomeAddress)
                        throws ExchangeException

  Sets the home address of the contact.

  Parameters:
    `sHomeAddress` - the home address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_ADDRESS`

### getIMAddress

    public java.lang.String getIMAddress()
                                  throws ExchangeException

  Gets the IM address of the contact.

  Returns:
    the IM address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.IM_ADDRESS`

### setIMAddress

    public void setIMAddress(java.lang.String sIMAddress)
                      throws ExchangeException

  Sets the IM address of the contact.

  Parameters:
    `sIMAddress` - the IM address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.IM_ADDRESS`

### getSelectedMailingAddress

    public SelectedMailingAddress getSelectedMailingAddress()
                                                     throws ExchangeException

  Gets the selected mailing address for the contact.

  Returns:
    the selected mailing address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.SELECTED_MAILING_ADDRESS`

### setSelectedMailingAddress

    public void setSelectedMailingAddress(SelectedMailingAddress selected)
                                   throws ExchangeException

  Sets the selected mailing address for the contact.

  Parameters:
    `selected` - the selected mailing address for the contact (may not be `null`)
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.SELECTED_MAILING_ADDRESS`

### getBillingInfo

    public java.lang.String getBillingInfo()
                                    throws ExchangeException

  Gets the billing info for the contact.

  Returns:
    the billing info for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BILLING_INFO`

### setBillingInfo

    public void setBillingInfo(java.lang.String sBillingInfo)
                        throws ExchangeException

  Sets the billing info for the contact.

  Parameters:
    `sBillingInfo` - the billing info for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BILLING_INFO`

### getMileage

    public java.lang.String getMileage()
                                throws ExchangeException

  Gets the mileage for the contact.

  Returns:
    the mileage for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MILEAGE`

### setMileage

    public void setMileage(java.lang.String sMileage)
                    throws ExchangeException

  Sets the mileage for the contact.

  Parameters:
    `sMileage` - the mileage for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MILEAGE`

### getInternetFreeBusyAddress

    public java.lang.String getInternetFreeBusyAddress()
                                                throws ExchangeException

  Gets the Internet free/busy address for the contact.

  Returns:
    the Internet free/busy address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.INTERNET_FREE_BUSY_ADDRESS`

### setInternetFreeBusyAddress

    public void setInternetFreeBusyAddress(java.lang.String sInternetFreeBusyAddress)
                                    throws ExchangeException

  Sets the Internet free/busy address for the contact.

  Parameters:
    `sInternetFreeBusyAddress` - the Internet free/busy address for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.INTERNET_FREE_BUSY_ADDRESS`

### getUserField1

    public java.lang.String getUserField1()
                                   throws ExchangeException

  Gets the user field1 for the contact.

  Returns:
    the user field1 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_1`

### setUserField1

    public void setUserField1(java.lang.String sUserField1)
                       throws ExchangeException

  Sets the user field1 for the contact.

  Parameters:
    `sUserField1` - the user field1 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_1`

### getUserField2

    public java.lang.String getUserField2()
                                   throws ExchangeException

  Gets the user field2 for the contact.

  Returns:
    the user field2 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_2`

### setUserField2

    public void setUserField2(java.lang.String sUserField2)
                       throws ExchangeException

  Sets the user field2 for the contact.

  Parameters:
    `sUserField2` - the user field2 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_2`

### getUserField3

    public java.lang.String getUserField3()
                                   throws ExchangeException

  Gets the user field3 for the contact.

  Returns:
    the user field3 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_3`

### setUserField3

    public void setUserField3(java.lang.String sUserField3)
                       throws ExchangeException

  Sets the user field3 for the contact.

  Parameters:
    `sUserField3` - the user field3 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_3`

### getUserField4

    public java.lang.String getUserField4()
                                   throws ExchangeException

  Gets the user field4 for the contact.

  Returns:
    the user field4 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_4`

### setUserField4

    public void setUserField4(java.lang.String sUserField4)
                       throws ExchangeException

  Sets the user field4 for the contact.

  Parameters:
    `sUserField4` - the user field4 for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.USER_FIELD_4`

### setSender

    public void setSender(AddressEntry addressEntry)
                   throws ExchangeException

  This method is not allowed on this `Message` type.

  Overrides:
    `setSender` in class `Message`
  Parameters:
    `addressEntry` - the address entry of the sender
  Throws:
    `ExchangeException` - this method is not allowed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.